include($$PWD/isegHAL.pri)

TARGET = isegHalCan
TEMPLATE = lib
CONFIG -= qt
#CONFIG += staticlib	#ubuntu x86 problem

QMAKE_CFLAGS_WARN_ON += -Wno-missing-braces -Wno-missing-field-initializers

KERNEL = kernel

INCLUDEPATH += $$KERNEL

SOURCES += \
	kdatacache.c \
	kcan.c \
	kisegtime.c \
	kcrates_ech4x.c \
	kmodules.c \
	kchannel.c \
	ksystem.c \
	kstring.c \
	kcrates_ech238.c \
	kline.c \
	kcanapi.c \
	kloggerfifo.c

HEADERS += \
	kdatacache.h \
	kdatacache_p.h \
	version.h \
	isegcommon.h \
	$$KERNEL/kcan.h \
	$$KERNEL/kdeviceclass.h \
	$$KERNEL/kedcp_can_dataid.h \
	kmodules.h \
	kcrates_ech4x.h \
	kisegtype.h \
	kisegtime.h \
	ksystem.h \
	kchannel.h \
	kstring.h \
	kcrates_ech238.h \
	kech238_can_dataid.h \
	kernel/kproperties.h \
	kline.h \
	kcanapi.h \
	kloggerfifo.h

windows {
	SOURCES += \
		socket_can/socketcanmock.c
} else {
	QMAKE_CFLAGS += -fPIC

	DEFINES += SOCKET_CAN=1

	SOURCES += \
		socket_can/receivethread.c \
		socket_can/sendthread.c \
		socket_can/mainthread.c

	HEADERS += \
		socket_can/receivethread.h \
		socket_can/sendthread.h \
		socket_can/mainthread.h

	LIBS += -lpthread -lsocketcan
}


unix {
	target.path = /usr/lib
	INSTALLS += target
}

DISTFILES += \
	readme.txt
