#include "iseghalremoteconnection.h"
#include "sslserver.h"

#include <QDateTime>
#include <QDir>
#include <QFileInfo>
#include <QSslConfiguration>
#include <QSslKey>
#include <QSslSocket>

SslServer::SslServer(quint16 port, QObject *parent)
	: QTcpServer(parent)
{
	listen(QHostAddress::Any, port);
}

void SslServer::incomingConnection(qintptr socketDescriptor)
{
	// As soon as a client connects, pass its incoming socket id to a
	// SSLServerConnection child. This child is deleted after the
	// connection is closed (see the connectionClosed() slot).
	new IsegHalRemoteConnection(socketDescriptor, this);
}
