#ifndef CLIENTTHREAD_H
#define CLIENTTHREAD_H

#include <QThread>

class ClientThread : public QThread
{
	Q_OBJECT

public:
	ClientThread(const QByteArray &session, const QByteArray &interface,
				 const QByteArray &object, QObject *parent = 0);

	void run();

	bool success();

private:
	const QByteArray m_session;
	const QByteArray m_interface;
	const QByteArray m_object;
	bool m_success;
};

#endif // CLIENTTHREAD_H
