#include "sessionthread.h"
#include "isegremoteapi.h"

#include <QByteArray>

SessionThread::SessionThread()
{
}

void SessionThread::run()
{
	const char sessionName[] = "SessionName";
	const IsegItem result = iseg_getItem("", sessionName);

	if (
		(qstrcmp(result.object, sessionName) == 0) &&
		(qstrcmp(result.quality, ISEG_ITEM_QUALITY_OK) == 0)
	) {
		m_sessionName = result.value;
	}
}

QByteArray SessionThread::sessionName() const
{
	return m_sessionName;
}
