#include "iseghalcan.h"
#include "kcanapi.h"


IsegHalCan::IsegHalCan()
{

}

IsegHalCan::~IsegHalCan()
{

}

unsigned int IsegHalCan::getVersion()
{
	return can_getVersion();
}

const char *IsegHalCan::getVersionString()
{
	return can_getVersionString();
}

IsegResult IsegHalCan::connect(const QString &interface, bool firstConnection)
{
	if (!getInterface().isEmpty())
		return ISEG_ERROR;

	setInterface(interface);
	return static_cast<IsegResult>(can_connect(interface.toLatin1().constData(), firstConnection));
}

IsegResult IsegHalCan::disconnect()
{
	return static_cast <IsegResult>(can_disconnect());
}

IsegResult IsegHalCan::setValue(const IsegItem *item)
{
	return static_cast <IsegResult>(can_setItemValue(item));
}

IsegItem IsegHalCan::getValue(const char *object)
{
	return can_getItemValue(object);
}

IsegItemProperty IsegHalCan::getProperty(const char *object)
{
	return can_getItemProperty(object);
}

