#ifndef ISEGHALREMOTECOMMON_H
#define ISEGHALREMOTECOMMON_H

#include "../isegapi.h"

#include <QList>
#include <QSsl>

#if (QT_VERSION < QT_VERSION_CHECK(5, 4, 0))
typedef QList<QByteArray> QByteArrayList;
#endif

#if (QT_VERSION < QT_VERSION_CHECK(4, 8, 0))
#	define QSecureSslProtocols QSsl::TlsV1
#else
#	define QSecureSslProtocols QSsl::SecureProtocols
#endif

#define ISEG_REMOTE_PORT        1454

#define ISEG_REMOTE_CONNECT     'c'
#define ISEG_REMOTE_DISCONNECT  'd'
#define ISEG_REMOTE_GETITEM     'g'
#define ISEG_REMOTE_SETITEM     's'
#define ISEG_REMOTE_GETPROPERTY 'p'
#define ISEG_REMOTE_GETVERSION  'v'

#endif // ISEGHALREMOTECOMMON_H

