#include "isegremoteapi.h"

#include <stdio.h>

int main(void)
{
	const char session[] = "simple";
	const char url[] = "hal://192.168.16.56:1454/can0,user,pass";

	IsegResult connect = iseg_connect(session, url, NULL);
	printf("iseg_connect(%s, %s, NULL) returned %d\n", session, url, (int)connect);

	IsegItem item = iseg_getItem(session, "0.0.FirmwareRelease");
	printf("iseg_getItem returned item:\n");
	printf("- item.object    = %s\n", item.object);
	printf("- item.value     = %s\n", item.value);
	printf("- item.quality   = %s\n", item.quality);
	printf("- item.changed   = %s\n", item.timeStampLastChanged);
	printf("- item.refreshed = %s\n", item.timeStampLastChanged);

	IsegResult disconnect = iseg_disconnect(session);
	printf("iseg_disconnect(%s) returned %d\n", session, (int)disconnect);

	return 0;
}
