#ifndef ISEGHALCAN_H
#define ISEGHALCAN_H

#include "isegcommon.h"
#include "iseghal.h"

#include <QString>

class IsegHalCan : public IsegHal
{
public:
	IsegHalCan();
	~IsegHalCan();

	unsigned int getVersion(void);
	const char *getVersionString(void);

	IsegResult connect(const QString &interface, bool firstConnection);
	IsegResult disconnect();

	IsegResult setValue(const IsegItem *item);
	IsegItem getValue(const char *object);

	IsegItemProperty getProperty(const char *object);
private:

};

#endif // ISEGHALCAN_H
