#ifndef KDEVICECLASS_H
#define KDEVICECLASS_H

typedef enum KDeviceClass {
	DC_V12C0 = 20,		// 75xxxx
	DC_E16D0 = 21,		// 71xxxx
	DC_E24D1 = 21,
	DC_H101C0 = 22,
	DC_H201C0 = 23,
	DC_E08C0 = 24,		// 73xxxx
	DC_E08F0 = 25,		// 74xxxx
	DC_E08F2 = 26,		// 72xxxx
	DC_E08C2 = 27,		// 76xxxx
	DC_E08B0 = 28,		// 77xxxx
	DC_V24D0 = 29,
	DC_E01C0 = 30,
	DC_E01C1 = 31,
	DC_E01C2 = 32,
	DC_N02C0 = 35,
	DC_N02C1 = 36,
	DC_N02C2 = 37,
	DC_N06C0 = 38,
	DC_N06C2 = 39,
	DC_MICC = 40,		// MMC crate controller 8 / 10 Slots
	DC_MICP = 41,		// PHQ 32 channel
	DC_TxxIO = 42,		// Testeinrichtung APS, CPS, DPS ...
	DC_P07C0 = 43,		// CTA PHQ Ansteuerung
	DC_T48C0 = 44,		// Test Controller

	DC_ECH238 = 45,		// iseg Crate Controller ECH238
	DC_ECH4XA = 46,		// iseg Crate Controller ECH43A / ECH44A

	DC_O103C0 = 50,
	DC_O205F0 = 51,
	DC_TRAPTUBE = 52,	// Dreebit Falle sekundaer
	DC_FILAMENT = 53,	// Filament Versorgung

	DC_H101C1 = 60,
	DC_ESS01C = 61,

	DC_E16C1 = 70,		// 32 Kanal Modul
	DC_F01F1 = 71,		// Filament Versorgung

	DC_E04B0 = DC_E08B0,

	DC_S02C2 = 80,

	DC_L12C0 = 90
} KDeviceClass;

#endif
