#ifndef LINE_H
#define LINE_H

#include <stdint.h>

#include "isegcommon.h"
#include "kisegtype.h"

typedef struct LineCache {
	uint8_t  moduleNumber;
	char     moduleList[VALUE_SIZE];
	uint8_t  crateNumber;
	char     crateList[VALUE_SIZE];
} LineCache;

typedef enum KDataCacheLineColumn {
	DataCacheColumnLineCanStatus = 0,
	DataCacheColumnLineCanBitRate,
	DataCacheColumnLineModuleNumber,
	DataCacheColumnLineModuleList,
	DataCacheColumnLineCrateNumber,
	DataCacheColumnLineCrateList,
	DataCacheColumnLineSize
} KDataCacheLineColumn;

uint8_t kline_moduleNumber(uint16_t line);

#endif // LINE_H
